%define upstream_name    AnyEvent-FTP
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Server response encoder that encodes responses so they cannot be confused
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(File::HomeDir) >= 0.910.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(PerlIO::eol)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
This distribution provides client and server implementations for File
Transfer Protocol (FTP) in an AnyEvent environment. For the specific
interfaces, see the AnyEvent::FTP::Client manpage and the
AnyEvent::FTP::Server manpage for details.

Before each release, the AnyEvent::FTP::Client manpage is tested against
these FTP servers using the 't/client_*.t' tests that come with this
distribution:

* Proftpd

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/aeftpd
/usr/share/man


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.90.0-5pclos2017
- rebuild against updates

